MaskableEnvelopeEntry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.MaskableEnvelopeEntry,MaskableEnvelopeEntry class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class MaskableEnvelopeEntry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry
            |
            +--gnu.crypto.keyring.EnvelopeEntry
                  |
                  +--gnu.crypto.keyring.MaskableEnvelopeEntry

Direct Known Subclasses:
  AuthenticatedEntry, EncryptedEntry, PasswordAuthenticatedEntry, PasswordEncryptedEntry

public abstract class MaskableEnvelopeEntry
extends EnvelopeEntry

An envelope entry that can be "masked" -- placed in a state where the envelope's contents cannot be accessed, due to the envelope not being fully decoded, for example.

Field Summary
`protected boolean` | `masked` The masked state.

Fields inherited from class gnu.crypto.keyring.EnvelopeEntry
`containingEnvelope, entries`

Fields inherited from class gnu.crypto.keyring.Entry
`payload, properties, type`

Constructor Summary
`protected` | `MaskableEnvelopeEntry()`
`` | `MaskableEnvelopeEntry(int type, Properties properties)`

Method Summary
`void` | `add(Entry entry)` Adds an entry to this envelope.
`boolean` | `containsEntry(Entry entry)` Tests if this envelope contains the given entry.
`java.util.List` | `get(java.lang.String alias)` Gets all primitive entries that have the given alias.
`java.util.List` | `getEntries()` Returns a copy of all entries this envelope contains.
`boolean` | `isMasked()` Gets the masked state of this object.
`boolean` | `remove(Entry entry)` Removes the specified entry.
`void` | `remove(java.lang.String alias)` Removes all primitive entries that have the specified alias.
`protected void` | `setMasked(boolean masked)` Sets the masked state to the specified value.

Methods inherited from class gnu.crypto.keyring.EnvelopeEntry
`containsAlias, decodeEnvelope, encodePayload, getAliasList, setContainingEnvelope`

Methods inherited from class gnu.crypto.keyring.Entry
`defaultDecode, encode, getPayload, getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### masked

    protected boolean masked

  The masked state.

Constructor Detail

### MaskableEnvelopeEntry

    public MaskableEnvelopeEntry(int type,
                                 Properties properties)

### MaskableEnvelopeEntry

    protected MaskableEnvelopeEntry()

Method Detail

### setMasked

    protected final void setMasked(boolean masked)

  Sets the masked state to the specified value.

  Parameters:
    `masked` - The new masked state.

### isMasked

    public boolean isMasked()

  Gets the masked state of this object. Certain operations on this object will fail if it is masked.

  Returns:
    The current masked state.

### add

    public void add(Entry entry)

  Description copied from class: `EnvelopeEntry`
  Adds an entry to this envelope.

  Overrides:
    `add` in class `EnvelopeEntry`
  Parameters:
    `entry` - The entry to add.

### containsEntry

    public boolean containsEntry(Entry entry)

  Description copied from class: `EnvelopeEntry`
  Tests if this envelope contains the given entry.

  Overrides:
    `containsEntry` in class `EnvelopeEntry`
  Parameters:
    `entry` - The entry to test.
  Returns:
    True if this envelope contains the given entry.

### getEntries

    public java.util.List getEntries()

  Description copied from class: `EnvelopeEntry`
  Returns a copy of all entries this envelope contains.

  Overrides:
    `getEntries` in class `EnvelopeEntry`
  Returns:
    All contained entries.

### get

    public java.util.List get(java.lang.String alias)

  Description copied from class: `EnvelopeEntry`
  Gets all primitive entries that have the given alias. If there are any masked entries that contain the given alias, they will be returned as well.

  Overrides:
    `get` in class `EnvelopeEntry`
  Parameters:
    `alias` - The alias of the entries to get.
  Returns:
    A list of all primitive entries that have the given alias.

### remove

    public boolean remove(Entry entry)

  Description copied from class: `EnvelopeEntry`
  Removes the specified entry.

  Overrides:
    `remove` in class `EnvelopeEntry`
  Parameters:
    `entry` - The entry.
  Returns:
    True if an entry was removed.

### remove

    public void remove(java.lang.String alias)

  Description copied from class: `EnvelopeEntry`
  Removes all primitive entries that have the specified alias.

  Overrides:
    `remove` in class `EnvelopeEntry`
  Parameters:
    `alias` - The alias of the entries to remove.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.